package com.common.commonlib.net.interceptor

import com.common.commonlib.net.interfaces.ITypedCommon
import okhttp3.Interceptor

/**
 * 通用拦截器基类
 *
 * @author Alex Wang
 * @since 2022-2-24
 */
abstract class CommonInterceptor : Interceptor, ITypedCommon {
    /**
     * 获取拦截器类型
     */
    override fun getType(): String {
        return CommonInterceptor::class.java.simpleName
    }

    /**
     * 获取拦截器key
     */
    open fun getKey(): String {
        return CommonInterceptor::class.java.simpleName
    }
}